"""djangular URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.11/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url
from django.contrib import admin
from django.views.generic import TemplateView
from django.views.generic import RedirectView
from rest_framework_jwt.views import (obtain_jwt_token,
                                        verify_jwt_token,
                                        refresh_jwt_token)
from admin_app import views


urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^token_auth', obtain_jwt_token),
    url(r'^token_refresh', refresh_jwt_token),
    url(r'^token_verify', verify_jwt_token),
    url(r'^register', views.CreateUser.as_view()),
    url(r'^login', views.LoginUser.as_view()),
    url(r'^dashboard', views.DashboardDetail.as_view())
]
